\name{EM1df}
\alias{EM1df}
\title{EM algorithm using 1-parameter Q matrix}
\description{This function estimates 1-parameter Q model parameters
}
\usage{
EM1df(start.tree = NULL, start.theta = NULL, obsdata = NULL, maxiter = 1000, stop.threshold = 1e-05, incomplete = TRUE, Qdf = 1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{start.tree}{A phylo object representing the phylogenetic tree used in the EM algorithm}
  \item{start.theta}{initiation values for the parameters}
  \item{obsdata}{A matrix in the same format as \code{realdata1}, with first several columns representing G, N and B status as 1, 2 and 3, respectively, and the last column representing the number of times such pattern is observed.}
  \item{maxiter}{scalar, number of maximal iterations, default is 1000 }
  \item{stop.threshold}{scalar, convergence criteria,default is 1e-5}
  \item{incomplete}{A logical flag, representing whether to adjust model fitting for the incomplete data.}
  \item{Qdf}{number of free parameters in Q}
  }
\value{
  \item{theta}{estimated parameter values}
  \item{scale.factor}{scale factor to be multiplied on $Q$, and normalize branch lengths to expected changes per site}
  \item{logl}{log likelihood of the model, if incomplete == TRUE, this will be the conditional log likelihood given that the data is incomplete}
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
this function is only useful when not considering status G and use a Jukes Cantor analogous model for the N and B status.
}
