\name{Felsenstein.peeling}
\alias{Felsenstein.peeling}
\title{calculating the log-likelihood of a certain tree by Felsenstein Peeling algorithm.}
\description{
Felsenstein Peeling algorithm for a certain tree with known branch length, rate parameters, and tip node states at a single site.
It reports the log-likelihood of the entire tree for a single site by calculating three conditional likelihood values for each node.
}
\usage{
Felsenstein.peeling(tip.states, ftree, ftheta, Qdf)
}
\arguments{
  \item{tip.states}{states of the observed tips of the tree}
  \item{ftree}{A phylo object representing the phylogenetic tree}
  \item{ftheta}{rate and tree branch length parameters}
  \item{Qdf}{number of free parameters in the Q matrix}
}
\details{
\code{ftree} should have branch lengths consistent with \code{ftheta}. Otherwise a warning is issued and branch lengths will be replaced by those in \code{theta}.
}
\value{log-likelihood of the entire tree for a single site}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
