\name{Pmat2}
\alias{Pmat2}
\title{calculating state transition probability matrix in a finite time period}
\description{calculating state transition probability matrix \code{P=exp(Q*tt)} in a given time period \code{tt}}
\usage{
Pmat2(Q, pis, tt)
}
\arguments{
  \item{Q}{instantaneous transition matrix}
  \item{pis}{equilibrium frequency vector}
  \item{tt}{time or tree branch length}
}
\value{
  \item{pmat}{state transition probability matrix in a finite time}
  \item{eigenvectors}{eigenvectors in SVD decomposition }
  \item{eigenvalues}{eigenvalues in SVD decomposition}
  \item{Pis}{pass the argument \code{pis}}
  \item{Qmat}{pass the argument \code{Q}}
  
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
intended for internal use only.
}

