\name{allikelihood}
\alias{allikelihood}
\title{calculating log-likelihood of the entire tree for multiple sites}
\description{
This function calculates the log likelihood of the entire tree for multiple sites. It calls the function calculating the likelihood for single site, either using Felsenstein's peeling algorithm or not.}
\usage{
allikelihood(state.cunt, tree, theta, Qdf, method = "peeling")
}
\arguments{
  \item{state.cunt}{A matrix in the same format as \code{realdata1}, with first several columns representing G, N and B status as 1, 2 and 3, respectively, and the last column representing the number of times such pattern is observed.
}
  \item{tree}{A phylo object representing the phylogenetic tree
}
  \item{theta}{rate and tree branch length parameters
}
  \item{Qdf}{number of free parameters in the Q matrix
}
  \item{method}{character, if "peeling", the function calls Felsenstein.peeling; otherwise it uses nopeeling algorithm.
}
}
\value{
log-likelihood of the entire tree for multiple sites.}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
