\name{bootstrapCI}
\alias{bootstrapCI}
\title{calculating standard deviations of the EM estimated parameters using bootstrap method }
\description{This function calculates standard deviations of the EM estimated parameters by resampling from the original data with replacement and repeat the EM procedure,
}
\usage{
bootstrapCI(EMresult, finaltree, obsdata, maxiter = 20, stop.threshold = 0.01, incomplete = TRUE, rateonly = TRUE, nsample = 100)
}
\arguments{
  \item{EMresult}{a list containing parameter estimation results from the EM procedure. }
  \item{finaltree}{a phylo object representing the tree topology under consideration}
  \item{obsdata}{matrix holding patterns for each tree tip and counts for each pattern.}
  \item{maxiter}{scalar, number of maximal iterations, default is 1000 }
  \item{stop.threshold}{scalar, convergence criteria,default is 1e-5}
  \item{incomplete}{A logical flag, representing whether to adjust model fitting for the incomplete data.}
  \item{rateonly}{A logical flag, representing whether to estimate rate parameters in Q matrix only and keep tree branch lengths fixed.}
    \item{nsample}{number of times for resampling.}
}
\value{
 \item{sd}{estimated standard deviations of the estimated parameters}
 \item{bootresult}{full matrix of bootstrap EM results}
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
