\name{choose.start}
\alias{choose.start}
\title{choose optimal initiation values for EM from candidate values}
\description{
This function calculates data log likelihood after one iteration of EM from a series of candidate initiation values.}
\usage{
choose.start(fit.tree, cand.theta, patcount, Qdf, incomplete = TRUE, rateonly = FALSE)
}
\arguments{
  \item{fit.tree}{A phylo object representing the phylogenetic tree used in the EM algorithm}
  \item{cand.theta}{A matrix of candidate initiation values for each parameter.}
  \item{patcount}{A matrix holding patterns for each tree tip and counts for each pattern.}
  \item{Qdf}{scalar, number of free parameters in Q}
  \item{incomplete}{A logical flag, representing whether to adjust model fitting for the incomplete data.}
  \item{rateonly}{A logical flag, representing whether to estimate rate parameters in Q matrix only and keep tree branch lengths fixed.}
}
\value{
a matrix with two more columns than the input \code{can.theta}, sorted in decreasing order by the first column containing log likelihood after one iteration, the last column is the original row index of \code{can.theta}.
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
