\name{fisher}
\alias{fisher}
\title{calculating standard deviations of the estimated parameters by Fisher's information matrix on observed data}
\description{
This function calculates standard deviations of the estimated parameters by Fisher's information matrix on observed data.
}
\usage{
fisher(state.cunt, finaltheta, finaltree, Qdf, rateonly = TRUE)
}
\arguments{
  \item{state.cunt}{
A matrix in the same format as \code{realdata1}, with first several columns representing G, N and B statuses as 1, 2 and 3, respectively, and the last column representing the number of times such pattern is observed.
}
  \item{finaltheta}{
estimated parameter values
}
  \item{finaltree}{
A phylo object representing the phylogenetic tree used in the EM algorithm
}
  \item{Qdf}{
A scalar with possible values 1, 3, or 4, representing the number of free parameters in the Q matrix
}
  \item{rateonly}{
A logical flag, representing whether to estimate rate parameters in Q matrix only and keep tree branch lengths fixe
}
}
\value{
  \item{fisherI}{observed data information matrix}
  \item{sd}{standard deviations of the estiamted parameters}
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{This function cannot deal with incomplete observation and ascertainment bias. Not recommended for calculating standard deviations of estimated parameters for data with ascertainment bias.}