\name{nopeeling}
\alias{nopeeling}
\title{Alternative method to calculate log-likelihood of the entire tree for a single sites}
\description{
This function calculates log likelihood of the entire tree for a single site by traversing all possible patterns of internal nodes. The speed is ok for a tree with small or medium size.}
\usage{
nopeeling(tip.states, tree, theta, Qdf)
}
\arguments{
  \item{tip.states}{states of the observed tips of the tree}
  \item{tree}{A phylo object representing the phylogenetic tree}
  \item{theta}{rate and tree branch length parameters}
  \item{Qdf}{number of free parameters in the Q matrix}
}
\value{log-likelihood of the entire tree for a single site
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{this function calculates the same value as Felsenstein.peeling but uses a different algorithm. When the number of species are not too large, the performance is comparable to Felsenstein.peeling.}