\name{pat.likelihood}
\alias{pat.likelihood}
\title{calculating the likelihood of each pattern given the current tree and rate parameters}
\description{
This function calculates the likelihood of all possible tree tip pattern given the current tree and rate parameters.}
\usage{
pat.likelihood(tree, theta, Qdf, unobs = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{tree}{A phylo object representing the phylogenetic tree
}
  \item{theta}{rate and tree branch length parameters
}
  \item{Qdf}{number of free parameters in the Q matrix
}
  \item{unobs}{a logic flag, representing whether to return the matrix for all patterns or only unobservable patterns (patterns with no state "3" in any tip nodes)
}
}
\value{A matrix with all possible tip node patterns and the probability of observing each pattern given the known parameters.
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
This function only handles 3 states, and allows arbitrary number of species.
}


