\name{pred_obs_plot}
\alias{pred_obs_plot}
\title{compare and plot the predicted pattern counts with observed pattern counts}
\description{
This function compares and plots the predicted pattern counts with observed pattern counts.
}
\usage{
pred_obs_plot(finaltheta, finaltree, Qdf, obscount, incomplete = TRUE, plotflag = 1, label = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{finaltheta}{rate and tree branch length parameters
}
  \item{finaltree}{A phylo object representing the phylogenetic tree
}
  \item{Qdf}{number of free parameters in the Q matrix
}

  \item{obscount}{A matrix in the same format as \code{realdata1}, with first several columns representing G, N and B status as 1, 2 and 3, respectively, and the last column representing the number of times such pattern is observed.
}
  \item{incomplete}{A logical flag, representing whether to adjust model fitting for the incomplete data.}
  \item{plotflag}{A logical flag, representing whether to plot the predicted vs. observed pattern counts.}
  \item{label}{A logical flag, representing whether to add pattern labels to the plot.}
}

\value{
A data frame with all patterns, observed counts and predicted counts.}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
