\name{qithetaER}
\alias{qithetaER}
\title{A scalar function evaluating q(theta)*E(R) at estimated parameter values
}
\description{
This is a scalar function evaluating q(theta)*E(R) at estimated parameter values, to be called by \code{hessian}.
}
\usage{
qithetaER(x, finaltree, er, expo = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
rate and branch length parameters estimated by the EM algorithm
}
  \item{finaltree}{
A phylo object representing the phylogenetic tree used in the EM algorithm
}
  \item{er}{
tree conditional mean matrix calcualted by \code{tree.cond.mean}
}
  \item{expo}{
A logic flag representing whether to take exponential transformation of the final result, deprecated.
}
}
\value{
A scalar representing q(theta)*E(R) evaluated at estimated parameter values.
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
For internal use only.}

\seealso{
\code{\link{tree.cond.mean}}
}
