\name{three.part.integral}
\alias{three.part.integral}
\title{calculating three part integral required for calculating conditional variance}
\description{
This function calculates the three part integral required for calculating conditional variance, and is called by \code{cond.var}
}
\usage{
three.part.integral(aa, bb, cc, dd, ee, ff, V, l, pis, t0)
}
\arguments{
  \item{aa}{interger in 1:3}
  \item{bb}{interger in 1:3}
  \item{cc}{interger in 1:3}
  \item{dd}{interger in 1:3}
  \item{ee}{interger in 1:3}
  \item{ff}{interger in 1:3}
  \item{V}{eigenvectors calculated from \code{Pmat2}}
  \item{l}{eigenvalues calculated from \code{Pmat2}}
  \item{pis}{equilibrium frequency}
  \item{t0}{branch length}
}
\value{A scalar representing the evaluated integral.}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
For internal use only.}

