\name{tree.cond.mean}
\alias{tree.cond.mean}
\title{calculating conditional mean matrix for each tree branch}
\description{
This function calculates n*m matrix of ERi representing conditional means for each of the m Q matrix enrties and n branches for a single site, they need to be stored separately to update theta.}
\usage{
tree.cond.mean(tcm.tip.states, tcm.tree, tcm.theta, Qdf = 3)
}
\arguments{
  \item{tcm.tip.states}{a vector of states of the tree tips}
  \item{tcm.tree}{a phylo project representing the evolutionary tree}
  \item{tcm.theta}{rate and branch length parameters}
  \item{Qdf}{number of free parameters in the Q matrix}
}
\value{
n*m matrix of ERi representing conditional means for each of the m Q matrix enrties and n branches for a single site
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{For internal use only.
}
