\name{tree.cond.var}
\alias{tree.cond.var}
\title{calculating conditional covariance matrix for any two tree branches
}
\description{
This function calculates n*n*m*m array of E(RiRj|y) representing the conditional variance-covariance matrices for branches i and j (from 1 to n), and m represent the number of Q matrix enrties.
}
\usage{
tree.cond.var(tip.states, tree, theta, Qdf)
}
\arguments{
  \item{tip.states}{a vector of states of the tree tips}
  \item{tree}{a phylo project representing the evolutionary tree}
  \item{theta}{rate and branch length parameters}
  \item{Qdf}{number of free parameters in the Q matrix}
}
\value{
n*n*m*m array of E(RiRj|y) representing the conditional variance-covariance matrices
}
\author{
Wei Zheng <wei.zheng@yale.edu>
}
\note{
For internal use only
}

